<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <script src="https://cdn.jsdelivr.net/npm/vue@2.6.14/dist/vue.js"></script>
    <script src="https://unpkg.com/vuex@3.6.2/dist/vuex.js"></script>
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-0evHe/X+R7YkIZDRvuzKMRqM+OrBnVFBL6DOitfPri4tjfHxaWutUpFmBp4vmVor"
      crossorigin="anonymous"
    />
    <title>Document</title>
  </head>
  <body>
    <div id="app">
      <titulo></titulo>
    </div>
    <script>
      Vue.component("titulo", {
        template: `
                <div>
                  <p>Número: {{$store.state.numero}}</p>
                  <hijo></hijo>
                </div>
            `,
      });

      Vue.component("hijo", {
        template: `
        <div>
          <button v-on:click="$store.commit('aumentar')">+</button>
          <p>Número: {{$store.state.numero}}</p>
        </div>
        `,
      });

      const store = new Vuex.Store({
        state: {
          numero: 10,
        },
        mutations: {
          aumentar(state) {
            state.numero++;
          },
        },
      });

      new Vue({
        el: "#app",
        store,
      });
    </script>
  </body>
</html>
